com.tibbo.aggregate.common.action

## Class ServerActionHelper

- java.lang.Object
- - com.tibbo.aggregate.common.action.ServerActionHelper

-     public class ServerActionHelper
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ENV_VARIABLE_PARAMETERS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServerActionHelper()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.util.Map<java.lang.String,java.lang.String>` | `executeNonInteractively(Context context, java.lang.String action, DataTable initialParameters, DataTable inputData, java.util.Map<java.lang.String,java.lang.Object> environment, ActionExecutionMode mode, CallerController caller)`
    `static void` | `fillRequestCache(ActionContext actionContext, DataTable initialParameters, DataTable inputData, java.util.Map<java.lang.String,java.lang.Object> environment, CallerController caller, ContextManager cm, Context con, ErrorCollector collector)`
    `static DataRecord` | `getEntityRelatedModeRecord(ServerActionInput parameters)`
    `static ActionIdentifier` | `initAction(ServerContext source, java.lang.String action, CallerController caller, DataTable initialParameters, DataTable inputData, java.util.Map<java.lang.String,java.lang.Object> environment, ActionExecutionMode mode, ErrorCollector collector, java.lang.String customActionId)`
    `static ActionIdentifier` | `initActions(CallerController caller, java.util.List<ActionHolder> actions, ServerContext con)`
    `static java.util.Collection<Context>` | `selectContexts(java.lang.String description, java.util.Collection<Context> contexts, ContextManager cm, CallerController cc, ServerActionCommandProcessor processor)`
    `static FieldFormat` | `selectField(java.lang.String description, TableFormat format, ServerActionCommandProcessor processor, CallerController caller, java.lang.String iconId, java.lang.String helpId)`
    `static java.lang.Integer` | `selectOption(java.lang.String description, java.util.Map<java.lang.Integer,java.lang.String> options, java.lang.Integer defaultOption, ServerActionCommandProcessor processor)`
    `static VariableDefinition` | `selectVariable(java.lang.String description, Context context, ServerActionCommandProcessor processor, CallerController caller, java.lang.String iconId, java.lang.String helpId)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ENV_VARIABLE_PARAMETERS

          public static final java.lang.String ENV_VARIABLE_PARAMETERS

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ServerActionHelper

          public ServerActionHelper()

  - ### Method Detail

    - #### executeNonInteractively

          public static java.util.Map<java.lang.String,java.lang.String> executeNonInteractively(Context context,
                                                                                                 java.lang.String action,
                                                                                                 DataTable initialParameters,
                                                                                                 DataTable inputData,
                                                                                                 java.util.Map<java.lang.String,java.lang.Object> environment,
                                                                                                 ActionExecutionMode mode,
                                                                                                 CallerController caller)
                                                                                          throws ContextException

      Throws:
        `ContextException`

    - #### fillRequestCache

          public static void fillRequestCache(ActionContext actionContext,
                                              DataTable initialParameters,
                                              DataTable inputData,
                                              java.util.Map<java.lang.String,java.lang.Object> environment,
                                              CallerController caller,
                                              ContextManager cm,
                                              Context con,
                                              ErrorCollector collector)

    - #### initAction

          public static ActionIdentifier initAction(ServerContext source,
                                                    java.lang.String action,
                                                    CallerController caller,
                                                    DataTable initialParameters,
                                                    DataTable inputData,
                                                    java.util.Map<java.lang.String,java.lang.Object> environment,
                                                    ActionExecutionMode mode,
                                                    ErrorCollector collector,
                                                    java.lang.String customActionId)
                                             throws ContextException

      Throws:
        `ContextException`

    - #### initActions

          public static ActionIdentifier initActions(CallerController caller,
                                                     java.util.List<ActionHolder> actions,
                                                     ServerContext con)
                                              throws ContextException

      Throws:
        `ContextException`

    - #### selectVariable

          public static VariableDefinition selectVariable(java.lang.String description,
                                                          Context context,
                                                          ServerActionCommandProcessor processor,
                                                          CallerController caller,
                                                          java.lang.String iconId,
                                                          java.lang.String helpId)

    - #### selectField

          public static FieldFormat selectField(java.lang.String description,
                                                TableFormat format,
                                                ServerActionCommandProcessor processor,
                                                CallerController caller,
                                                java.lang.String iconId,
                                                java.lang.String helpId)

    - #### selectOption

          public static java.lang.Integer selectOption(java.lang.String description,
                                                       java.util.Map<java.lang.Integer,java.lang.String> options,
                                                       java.lang.Integer defaultOption,
                                                       ServerActionCommandProcessor processor)

    - #### selectContexts

          public static java.util.Collection<Context> selectContexts(java.lang.String description,
                                                                     java.util.Collection<Context> contexts,
                                                                     ContextManager cm,
                                                                     CallerController cc,
                                                                     ServerActionCommandProcessor processor)

    - #### getEntityRelatedModeRecord

          public static DataRecord getEntityRelatedModeRecord(ServerActionInput parameters)